<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";

  //12. INVERSIONES, CUENTAS BANCARIAS Y OTRO TIPO DE VALORES ACTIVOS
function plantilla12test($idformato,$pdf)
{
    $CI = &get_instance();
    $CI->load->database();
    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('12_inversiones', $where, 1);
    $codigo_12 = $query->row();

    //View tipos Declarante  12. Inversiones
    $where = array('idformato' => $idformato);
    $CI->db->select('tipos_declarante.nombre as nombre');
    $CI->db->from('12_inversiones');
    $CI->db->join('tipos_declarante', '12_inversiones.titular_inversion=tipos_declarante.idtipo');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_declarante12 = $query->row();

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();
    // $pdf->setSourceFile('plantillas/Inversiones_12.pdf');
    // $pdf->AddPage();
    // $tplIdx = $pdf->importPage(1);
    // $pdf->useTemplate($tplIdx, 0, 0);

    if ($codigo_12->ninguno == '1') {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 197.5, 33.5, 4, 4);
    }
    //SIN CAMBIO--SOLO PARA FORMATO MOD
    if ($codigo_12->ninguno == '2' && $codigo->tipo_formato !=1) {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 197.6, 26.6, 4, 4);
    }
    if ($codigo->tipo_formato == 3) {

        $pdf->SetFont('Arial', 'B', 9);
        $pdf->SetTextColor(255, 255, 255);
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(33);
        $pdf->SetX(15);
        $pdf->MultiCell(140, 5, utf8_decode('(SITUACIÓN ACTUAL)'), 0, '', true);
    }
    //AGREGO POR LO MENOS 1
    if ($codigo_12->ninguno == '0') {
        $pdf->SetFont('Arial', 'B', 9);
        $pdf->SetTextColor(255, 255, 255);
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(32);
        $pdf->SetX(176);
        $pdf->MultiCell(27, 6, utf8_decode('NÚMERO # 1'), 0, 0, true);
    } 
    $pdf->SetFillColor(0, 0, 0);
    $pdf->SetFont('Arial', '', 8);
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetY(76);
    $pdf->SetX(12.5);
    
    if ($view_declarante12 != null) {

    if ($view_declarante12->nombre == 'DECLARANTE') {

    $pdf->Cell(95, 4, utf8_decode($codigo_12->tipo_inversion));
    $pdf->Cell(92, 4, utf8_decode($codigo_12->bancaria));
    $pdf->Ln(9);
    $pdf->SetX(13);
    $pdf->Cell(147, 4, utf8_decode($view_declarante12->nombre));

    $pdf->Cell(40, 4, utf8_decode($codigo_12->tercero));
    $pdf->Ln(10);
    $pdf->SetX(13);
    $pdf->Cell(147, 4, utf8_decode($codigo_12->nombre_tercero));
    $pdf->Cell(40, 4, utf8_decode($codigo_12->rfc_tercero));
    $pdf->Ln(13);
    $pdf->SetX(13);
    $pdf->Cell(73, 4, utf8_decode($codigo_12->fondos_inversion));
    $pdf->Cell(55, 4, utf8_decode($codigo_12->organizaciones_privadas));
    $pdf->Cell(56, 4, utf8_decode($codigo_12->posesion_monedas));
    $pdf->Ln(10);
    $pdf->SetX(13);
    $pdf->Cell(73, 4, utf8_decode($codigo_12->seguros));
    $pdf->Cell(55, 4, utf8_decode($codigo_12->valores_bursatiles));
    $pdf->Cell(56, 4, utf8_decode($codigo_12->afores_otros));
    $pdf->Ln(4.5);
    $pdf->SetX(87);
    $pdf->Cell(115, 4, utf8_decode($codigo_12->numero_cuenta), 0, 0, '', true);
  //  $pdf->Ln(9);
    $pdf->SetFont('Arial', 'B', 8);
    if ($codigo_12->mexico_extranjero == 'EN EL EXTRANJERO') {
        $pdf->Text(130, 141, utf8_decode('PAÍS DONDE SE LOCALIZA'));
    } else {
        $pdf->Text(130, 141, utf8_decode('RFC'));
    }
    $pdf->SetFont('Arial', '', 8);

    $pdf->SetY(134);
    $pdf->SetX(160);
    $pdf->Cell(40, 4, utf8_decode($codigo_12->mexico_extranjero));
    $pdf->Ln(9);
    $pdf->SetX(13);
    $pdf->Cell(92, 4, utf8_decode($codigo_12->institucion));
    $pdf->Cell(92, 4, utf8_decode($codigo_12->rfc_pais));
    $pdf->Ln(9);
    $pdf->SetX(13);
    if($codigo->tipo_formato==3|| $codigo->tipo_formato == 2){
    //Porcentajes de Inremento o decremento
    // $pdf->Cell(90, 4, '%'); 
    $pdf->Cell(90, 4, utf8_decode($codigo_12->saldo), 0, 0, '', true);   
    } else{
         $pdf->Cell(90, 4, utf8_decode($codigo_12->saldo), 0, 0, '', true);  
     }
  
    $pdf->Cell(92, 4, utf8_decode($codigo_12->tipo_moneda));
    $pdf->SetY(162);
    $pdf->SetX(13);
    $pdf->MultiCell(190, 3.5, utf8_decode($codigo_12-> aclaraciones), 0, '', true);


///----------------------------------------------------------------------------------------------------------------------
        }else{
            $pdf->Cell(95, 4, utf8_decode($codigo_12->tipo_inversion), 0, 0, '', true);
            $pdf->Cell(95, 4, utf8_decode($codigo_12->bancaria), 0, 0, '', true);
            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(147, 4, utf8_decode($view_declarante12->nombre), 0, 0, '', true);


            $pdf->Cell(43, 4, utf8_decode($codigo_12->tercero), 0, 0, '', true);
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(147, 4, utf8_decode($codigo_12->nombre_tercero), 0, 0, '', true);
            $pdf->Cell(43, 4, utf8_decode($codigo_12->rfc_tercero), 0, 0, '', true);
            $pdf->Ln(13);
            $pdf->SetX(13);
            $pdf->Cell(73, 4, utf8_decode($codigo_12->fondos_inversion), 0, 0, '', true);
            $pdf->Cell(55, 4, utf8_decode($codigo_12->organizaciones_privadas), 0, 0, '', true);
            $pdf->Cell(62, 4, utf8_decode($codigo_12->posesion_monedas), 0, 0, '', true);
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(73, 4, utf8_decode($codigo_12->seguros), 0, 0, '', true);
            $pdf->Cell(55, 4, utf8_decode($codigo_12->valores_bursatiles), 0, 0, '', true);
            $pdf->Cell(62, 4, utf8_decode($codigo_12->afores_otros), 0, 0, '', true);
            $pdf->Ln(4.5);
            $pdf->SetX(87);
            $pdf->Cell(116, 4, utf8_decode($codigo_12->numero_cuenta), 0, 0, '', true);
            //  $pdf->Ln(9);
            $pdf->SetFont('Arial', 'B', 8);
            if ($codigo_12->mexico_extranjero == 'EN EL EXTRANJERO') {
                $pdf->Text(130, 141, utf8_decode('PAÍS DONDE SE LOCALIZA'));
            } else {
                $pdf->Text(130, 141, utf8_decode('RFC'));
            }
            $pdf->SetFont('Arial', '', 8);

            $pdf->SetY(133.5);
            $pdf->SetX(160);
            $pdf->Cell(43, 4, utf8_decode($codigo_12->mexico_extranjero), 0, 0, '', true);
            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(95, 4, utf8_decode($codigo_12->institucion), 0, 0, '', true);
            $pdf->Cell(95, 4, utf8_decode($codigo_12->rfc_pais), 0, 0, '', true);
            $pdf->Ln(9.5);
            $pdf->SetX(13);
            $pdf->Cell(95, 4, utf8_decode($codigo_12->saldo), 0, 0, '', true);
            $pdf->Cell(95, 4, utf8_decode($codigo_12->tipo_moneda), 0, 0, '', true);
            $pdf->SetY(162);
            $pdf->SetX(13);
            $pdf->MultiCell(190, 3.5, utf8_decode($codigo_12->aclaraciones), 0, '', true);
        }
    }




    //------------------------------------ADIOCIONALES--------------------------------------------------------
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $y = 1;

    $where = array('idformato' => $idformato);
    $query7 = $CI->db->get_where('12_inversiones_add', $where, 1);
    $codigo_12_add = $query7->row();
    $pdf->SetTextColor(0, 0, 0);

    $CI->db->select('*')->from('12_inversiones_add')->where('idformato', $idformato)->where('activo', 1);
    $consulta = $CI->db->get()->result_array();
    $lenght = count($consulta) - 1;

    for ($x = 0; $x <= $lenght; $x++) {
        $datos = array(
            $idinv = $consulta[$x]['idinversion'],
            'idinversion' => $consulta[$x]['idinversion'],
            'tipo_inversion' => $consulta[$x]['tipo_inversion'],
            'titular_inversion' => $consulta[$x]['titular_inversion'],
            'bancaria' => $consulta[$x]['bancaria'],
            'tercero' => $consulta[$x]['tercero'],
            'nombre_tercero' => $consulta[$x]['nombre_tercero'],
            'rfc_tercero' => $consulta[$x]['rfc_tercero'],
            'fondos_inversion' => $consulta[$x]['fondos_inversion'],
            'organizaciones_privadas' => $consulta[$x]['organizaciones_privadas'],
            'posesion_monedas' => $consulta[$x]['posesion_monedas'],
            'seguros' => $consulta[$x]['seguros'],
            'valores_bursatiles' => $consulta[$x]['valores_bursatiles'],
            'afores_otros' => $consulta[$x]['afores_otros'],
            'numero_cuenta' => $consulta[$x]['numero_cuenta'],
            'mexico_extranjero' => $consulta[$x]['mexico_extranjero'],
            'institucion' => $consulta[$x]['institucion'],
            'rfc_pais' => $consulta[$x]['rfc_pais'],
            'saldo' => $consulta[$x]['saldo'],
            'tipo_moneda' => $consulta[$x]['tipo_moneda'],
            'ninguno' => $consulta[$x]['ninguno'],
            'aclaraciones' => $consulta[$x]['aclaraciones'],

            'activo' => $consulta[$x]['activo'],

        );

        $where = array('idformato' => $idformato, 'idinversion' => $idinv);
        $CI->db->select('tipos_declarante.nombre as nombre');
        $CI->db->from('12_inversiones_add');
        $CI->db->join('tipos_declarante', '12_inversiones_add.titular_inversion=tipos_declarante.idtipo');
        $CI->db->where($where);
        $query = $CI->db->get();
        $view_declarante12 = $query->row();
        $y++;
        if ($codigo_12_add->idformato == $idformato) {
            $pdf->setSourceFile('plantillas/Inversiones_12_In.pdf');
            $pdf->AddPage();
            $tplIdx = $pdf->importPage(1);
            $pdf->useTemplate($tplIdx, 0, 0);

            $pdf->SetFont('Arial', 'B', 9);
            $pdf->SetTextColor(255, 255, 255);
            $pdf->SetFillColor(122, 70, 100);
            $pdf->SetY(32);
            $pdf->SetX(176);
            $pdf->MultiCell(27, 6, utf8_decode('NÚMERO # ' . $y), 0, 0, true);
            $pdf->SetY(32);
            $pdf->SetX(13);
            $pdf->MultiCell(152, 6, ' ', 0, 0, true);

            $pdf->SetFont('Arial', '', 8);
            $pdf->SetTextColor(0, 0, 0);
            $pdf->SetFillColor(0, 0, 0);
            if ($datos["ninguno"] == '1') {
                $logo = SERVIDOR . APP . 'application/images/check2.png';
                $pdf->Image($logo, 191.1, 177.5, 4, 4);
            }
            $pdf->SetY(76);
            $pdf->SetX(12.5);
           
            if ($view_declarante12 != null) {
                if ($view_declarante12->nombre == 'DECLARANTE') {

                    $pdf->Cell(95, 4, utf8_decode($datos["tipo_inversion"]));
                    $pdf->Cell(92, 4, utf8_decode($datos["bancaria"]));
                    $pdf->Ln(9);
                    $pdf->SetX(13);
                    $pdf->Cell(147, 4, utf8_decode($view_declarante12->nombre));
                
            //DECLARANTE-----
            $pdf->Cell(40, 4, utf8_decode($datos["tercero"]));
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(147, 4, utf8_decode($datos["nombre_tercero"]));
            $pdf->Cell(40, 4, utf8_decode($datos["rfc_tercero"]));
            $pdf->Ln(13);
            $pdf->SetX(13);
            $pdf->Cell(73, 4, utf8_decode($datos["fondos_inversion"]));
            $pdf->Cell(55, 4, utf8_decode($datos["organizaciones_privadas"]));
            $pdf->Cell(56, 4, utf8_decode($datos["posesion_monedas"]));
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(73, 4, utf8_decode($datos["seguros"]));
            $pdf->Cell(55, 4, utf8_decode($datos["valores_bursatiles"]));
            $pdf->Cell(56, 4, utf8_decode($datos["afores_otros"]));
            $pdf->Ln(4.5);
            $pdf->SetX(87);
            $pdf->Cell(115, 4, utf8_decode($datos["numero_cuenta"]), 0, 0, '', true);
            //   $pdf->Ln(4);
            $pdf->SetFont('Arial', 'B', 8);
            if ($datos["mexico_extranjero"] == 'EN EL EXTRANJERO') {
                $pdf->Text(130, 141, utf8_decode('PAÍS DONDE SE LOCALIZA'));
            } else {
                $pdf->Text(130, 141, utf8_decode('RFC'));
            }
            $pdf->SetFont('Arial', '', 8);

            $pdf->SetY(134);
            $pdf->SetX(160);
            $pdf->Cell(40, 4, utf8_decode($datos["mexico_extranjero"]));
            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(92, 4, utf8_decode($datos["institucion"]));
            $pdf->Cell(92, 4, utf8_decode($datos["rfc_pais"]));
            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(90, 4, utf8_decode($datos["saldo"]), 0, 0, '', true);
            $pdf->Cell(92, 4, utf8_decode($datos["tipo_moneda"]));
            $pdf->SetY(162);
            $pdf->SetX(13);
            $pdf->MultiCell(190, 3.5, utf8_decode($datos["aclaraciones"]), 0, '', true);
                } else {
                    $pdf->Cell(95, 4, utf8_decode($datos["tipo_inversion"]), 0, 0, '', true);
                    $pdf->Cell(95, 4, utf8_decode($datos["bancaria"]), 0, 0, '', true);
                    $pdf->Ln(9);
                    $pdf->SetX(13);
                    $pdf->Cell(147, 4, utf8_decode($view_declarante12->nombre), 0, 0, '', true);
                    $pdf->Cell(43, 4, utf8_decode($datos["tercero"]), 0, 0, '', true);
                    $pdf->Ln(10);
                    $pdf->SetX(13);
                    $pdf->Cell(147, 4, utf8_decode($datos["nombre_tercero"]), 0, 0, '', true);
                    $pdf->Cell(43, 4, utf8_decode($datos["rfc_tercero"]), 0, 0, '', true);
                    $pdf->Ln(13);
                    $pdf->SetX(13);
                    $pdf->Cell(73, 4, utf8_decode($datos["fondos_inversion"]), 0, 0, '', true);
                    $pdf->Cell(55, 4, utf8_decode($datos["organizaciones_privadas"]), 0, 0, '', true);
                    $pdf->Cell(62, 4, utf8_decode($datos["posesion_monedas"]), 0, 0, '', true);
                    $pdf->Ln(10);
                    $pdf->SetX(13);
                    $pdf->Cell(73, 4, utf8_decode($datos["seguros"]), 0, 0, '', true);
                    $pdf->Cell(55, 4, utf8_decode($datos["valores_bursatiles"]), 0, 0, '', true);
                    $pdf->Cell(62, 4, utf8_decode($datos["afores_otros"]), 0, 0, '', true);
                    $pdf->Ln(4.5);
                    $pdf->SetX(87);
                    $pdf->Cell(116, 4, utf8_decode($datos["numero_cuenta"]), 0, 0, '', true);
                    //   $pdf->Ln(4);
                    $pdf->SetFont('Arial', 'B', 8);
                    if ($datos["mexico_extranjero"] == 'EN EL EXTRANJERO') {
                        $pdf->Text(130, 141, utf8_decode('PAÍS DONDE SE LOCALIZA'));
                    } else {
                        $pdf->Text(130, 141, utf8_decode('RFC'));
                    }
                    $pdf->SetFont('Arial', '', 8);

                    $pdf->SetY(134);
                    $pdf->SetX(160);
                    $pdf->Cell(43, 4, utf8_decode($datos["mexico_extranjero"]), 0, 0, '', true);
                    $pdf->Ln(9);
                    $pdf->SetX(13);
                    $pdf->Cell(95, 4, utf8_decode($datos["institucion"]), 0, 0, '', true);
                    $pdf->Cell(95, 4, utf8_decode($datos["rfc_pais"]), 0, 0, '', true);
                    $pdf->Ln(9);
                    $pdf->SetX(13);
                    $pdf->Cell(95, 4, utf8_decode($datos["saldo"]), 0, 0, '', true);
                    $pdf->Cell(95, 4, utf8_decode($datos["tipo_moneda"]), 0, 0, '', true);
                    $pdf->SetY(162);
                    $pdf->SetX(13);
                    $pdf->MultiCell(190, 3.5, utf8_decode($datos["aclaraciones"]), 0, '', true);
                }
            }
///////-----------------------------------
        }
    }

}

